
<%= simple_form_for_horizontal @labels_config do |f| %>
  <%= f.error_notification %>
  <%= f.error_notification message: f.object.errors[:base].to_sentence if f.object.errors[:base].present? %>

  <div class="form-inputs">
    <%= f.input :name_fr %>
    <%= f.input :name_en %>
    <%= f.input :usable, as: :radio_buttons %>

    <div class="form-group row">
      <%= f.label :file, class: 'col-sm-3 col-form-label select required' %>
      <div class='col-sm-9'>
        <% aff, show_doc = file_preview(@labels_config.file) %>
        <%= aff.html_safe %>
        <label class="btn btn-outline-warning">
          Choose a file
          <span style="display:none;">
            <%= f.file_field :file %>
          </span>
        </label>
      </div>
    </div>

  </div>

  <hr> <!-- CRITERES -->
  <% unless @labels_config.new_record? %>
    <div>
      <h5>
        Liste des critères associés
        <%= link_to labels_config_add_criteria_path(id: @labels_config), method: :get, remote: true, class: 'btn btn-outline-dark'  do %>
          Change
          <%= fa_icon_add %>
        <% end %>
      </h5>
    </div>
    <ul>
      <% @labels_config.criteria.each do |criterium| %>
        <li>
          <%= criterium.name %> (<%= criterium.internal_name %>)
          <%#= link_to fa_icon_delete, labels_criterium_path(id: criterium.id, labels_criterium: {config_id: nil}, redirect_to: edit_labels_config_path(@labels_config)), method: :patch %>
          <a href="#" id='<%= criterium.internal_name %>' class='btn formula_add_cr'><%= fa_icon_add %> Add to formule</a>
        </li>
      <% end %>
    </ul>

    <hr> <!-- FORMULE -->
    <h5>
      <%= Labels::Config.human_attribute_name :formula %>
      <a href="#" id='formula-test' class='btn btn-outline-dark' data-fct="<%= labels_config_formula_test_path(id: @labels_config) %>" >
        Tester
        <%= fa_icon('calculator') %>
      </a>
    </h5>

    <%= f.input :formula %>
  <% end %>

  <div class="form-actions">
    <%= f.button :submit, class: 'btn btn-outline-warning' %>
  </div>
<% end %>

<script type='text/javascript'>
  $(function() {
    $(".formula_add_cr").on('click', function(event) {
      event.preventDefault();

      let txt = document.getElementById("labels_config_formula")
      let caretPos = txt.selectionStart;
      let caretEnd = txt.selectionEnd;
      let textAreaTxt = $("#labels_config_formula").val();
      let txtToAdd = this.id;
      $("#labels_config_formula").val(textAreaTxt.substring(0, caretPos) + txtToAdd + textAreaTxt.substring( caretEnd ) );

      // Focus sur le texte area, et repositionnement du curseur à la fin du texte ajouté
      $('#labels_config_formula').focus();
      txt.selectionStart = caretPos + txtToAdd.length
      txt.selectionEnd = caretPos + txtToAdd.length
    });

    $('#formula-test').on('click', function(){
      event.preventDefault();

      let url = $(this).attr('data-fct');
      let datas = {};
      datas['formula'] = $('#labels_config_formula').val();
      $.get(url, datas);
    });
  });
</script>
